com.google.cloud.dataflow.sdk.testing

## Class TestDataflowPipelineRunner

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.PipelineRunner<DataflowPipelineJob>
  - - com.google.cloud.dataflow.sdk.testing.TestDataflowPipelineRunner

    public class TestDataflowPipelineRunner
    extends PipelineRunner<DataflowPipelineJob>

`TestDataflowPipelineRunner` is a pipeline runner that wraps a `DataflowPipelineRunner` when running tests against the `TestPipeline`.

See Also:
  `TestPipeline`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<OutputT extends POutput,InputT extends PInput> OutputT` `apply(PTransform<InputT,OutputT> transform, InputT input)` Applies a transform to the given input, returning the output.
`static TestDataflowPipelineRunner` `fromOptions(PipelineOptions options)` Constructs a runner from the provided options.
`DataflowPipelineJob` `run(Pipeline pipeline)` Processes the given Pipeline, returning the results.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### fromOptions

    public static TestDataflowPipelineRunner fromOptions(PipelineOptions options)

Constructs a runner from the provided options.

#### run

    public DataflowPipelineJob run(Pipeline pipeline)

Description copied from class: `PipelineRunner`
Processes the given Pipeline, returning the results.

Specified by:
  `run` in class `PipelineRunner<DataflowPipelineJob>`

#### apply

    public <OutputT extends POutput,InputT extends PInput> OutputT apply(PTransform<InputT,OutputT> transform,
                                                                         InputT input)

Description copied from class: `PipelineRunner`
Applies a transform to the given input, returning the output.

The default implementation calls PTransform.apply(input), but can be overridden to customize behavior for a particular runner.

Overrides:
  `apply` in class `PipelineRunner<DataflowPipelineJob>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`